package com.cftech.cos.uploader.service;

import com.cftech.core.generic.GenericService;
import com.cftech.core.sql.Conds;
import com.cftech.core.sql.Sort;
import com.cftech.cos.uploader.model.Material;

import java.util.List;
import java.util.Map;

/**
* 素材上传Service
*
* @author mubo
* @date: 2017-05-04 16:35
*/
public interface MaterialUploadService extends GenericService<Material> {

    Map<String,Object> fetchSeaechByNumber(Map<String, Object> params);

    List<Material> fetchSearchByPageVo(Long pId,Conds conds, Sort sort,int page,int pageSize);

    int countVo(Long pId,Conds conds);
}
